﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Map;

namespace Map_TemplateSelector
{
    public class ViewModel
    {
        
        public ObservableCollection<ItemObject> Data { get; set; }
        public ViewModel()
        {
            Data = new ObservableCollection<ItemObject>();
            GetData();
        }

        private void GetData()
        {
            EllipseObject ellipse = new EllipseObject();
            ellipse.ObjectLocation = new Location(42.6957539183824, 23.3327663758679) ;

            ImageObject img = new ImageObject() {  ObjectLocation = new Location(42.1429369264591, 24.7498095849434) };
            TextBlockObject txtBlock = new TextBlockObject() {  ObjectLocation = new Location(42.5131732087098, 27.4611884843576) };
            PolygonDataObject polygon = new PolygonDataObject();

            Data.Add(ellipse);
            Data.Add(img);
            Data.Add(txtBlock);
            Data.Add(polygon);

        }
    }
}
